%{!?make_build:   %global make_build   make %{?_smp_mflags}}
%{!?make_install: %global make_install make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"}

# not tagged or released
%global srcver 0.3.4
%global commit ad3bc53f17d884f884e3341c1df700c0ead488eb
%global gitdate 20191125
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global githubproject joakim666/colortail

Name:           colortail
Version:        %{srcver}
Release:        0.1.%{gitdate}.git%{shortcommit}%{?dist}.4sunshine
Summary:        A tail-like command line utility with colors

License:        GPLv2
URL:            https://github.com/%{githubproject}/
Source0:        %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        https://sources.debian.org/data/main/c/colortail/0.3.3-1/debian/colortail.1
Patch0:         colortail-0.3.4-options.patch
BuildRequires:  gcc-c++, autoconf, automake

%description
Colortail works like tail but can optionally read one or more config files
where it's specified which patterns results in which colors.

Colortail uses regular expressions (see regex(7)) to determine which lines and 
parts of lines to print in which colors.

%prep
%setup -q -n %{name}-%{commit}
%patch -P 0 -p1 -b .options

%build
./autogen.sh
%configure
%make_build

%install
%make_install
install -d %{buildroot}%{_mandir}/man1
install -m644 -p %{SOURCE1} %{buildroot}%{_mandir}/man1/

%{!?_licensedir:%global license %%doc}

%files
%license COPYING
%doc README BUGS AUTHORS example-conf/conf.*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Oct 12 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 0.3.4-0.1.20191125.gitad3bc53.4sunshine
- use non-deprecated %%patch macro syntax

* Thu May 14 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.3.4-0.1.20191125.gitad3bc53.3sunshine
- add a patch to fix the "-h" option
- expand man page with list of colors supported

* Thu May 14 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.3.4-0.1.20191125.gitad3bc53.2sunshine
- include man page from Debian package

* Tue May 05 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 0.3.4-0.1.20191125.gitad3bc53.1sunshine
- initial RPM
